<template>
  <v-container
    id="regular-tables-view"
    fluid
    tag="section"
  >
    <material-card
      icon="mdi-clipboard-text"
      icon-small
      title="Enterprises Information"
      color="accent"
    >
      <v-simple-table>
        <thead>
          <tr>
            <th
              v-for="(item,index) in ProductProperties"
              :key="`key-${index}`"
            >
              {{ item }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr
            v-for="item in ProductsList"
            :key="`key-${item.userName}`"
            @click="gotoEnterprisePage"
          >
            <th
              v-for="(value,index) of item"
              :key="index"
              :class="{'text-right':index==='capital'}"
            >
              {{ value }}
            </th>
          </tr>
        </tbody>
      </v-simple-table>
    </material-card>

    <div class="py-3" />
  </v-container>
</template>

<script>
  import { showProducts } from '@/request/api.js'
  export default {
    name: 'ShowEnterprisesView',
    data () {
      return {
        // 创立一个properties1，用来设立这个表一共有多少列。
        // companyProperties: ['ID', 'CODE', 'NAME', 'CURRENCY', 'ASSET'],

        ProductProperties: ['Id', 'userName', 'userCode', 'borrowerName', 'borrowerTelephone'],

        ProductsList: [
          {
            id: 1,
            userName: 10000,
            userCode: 11,
            borrowerName: '知乎',
            borrowerTelephone: '1209321223',
          },
          {
            id: 2,
            userName: 20000,
            userCode: 21,
            borrowerName: '知乎',
            borrowerTelephone: '1209321223',
          },
          {
            id: 4,
            userName: 30000,
            userCode: 31,
            borrowerName: '知乎',
            borrowerTelephone: '1209321223',
          },
        ],
      }
    },
    mounted: function () {
      // 调用showProducts拿到数据数组:
      //    "status": "返回状态（需要规定状态数以确认是否有企业信息）",
      // "userName": "企业用户名（如BaiDu）",
      // "userCode": "企业编码（工商注册号如310115400176517）",
      // "borrowerName": "企业名（如百度（中国）有限公司）",
      // "borrowerTelephone": "企业电话",
      // "borrowerAddress": "企业地址",
      // "borrowerEmail": "企业邮箱",
      // "borrowerLink": "企业天眼查链接"
      const params = [
        {
          id: 1,
          userName: 10000,
          userCode: 11,
          borrowerName: '知乎',
          borrowerTelephone: '1209321223',
        },
        {
          id: 2,
          userName: 20000,
          userCode: 21,
          borrowerName: '知乎',
          borrowerTelephone: '1209321223',
        },
        {
          id: 3,
          userName: 30000,
          userCode: 31,
          borrowerName: '知乎',
          borrowerTelephone: '1209321223',
        },
      ]
      this.ProductsList = params
    },

    methods: {
      gotoEnterprisePage: function (e) {
        console.dir(e.currentTarget.id)// 找到对应的id
        // console.log(this.ProductsList[e.currentTarget.id].loanId)
        const id = 2
        this.$router.push({ path: '/enterpriseInformation/', params: { id } })
      },
    },
  }
</script>
